{
===============================================================================
  Copyright (©) 2005. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 22-06-2005
  Versión actual: 1.0.0
  Fecha versión actual: 22-06-2005
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit CerrarObra;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxControls, cxContainer, cxEdit, cxTextEdit, cxMaskEdit,
  cxDropDownEdit, StdCtrls, RdxBotones, RdxBarras, ExtCtrls,
  RdxPaneles, TablaTrimestres, cxCalendar;

type
  TfrCerrarObra = class(TForm)
    BarraSuperior: TRdxBarraSuperior;
    eTitulo: TLabel;
    RdxPanel1: TRdxPanel;
    brDoble: TRdxBarraInferior;
    bAceptar: TRdxBoton;
    bCancelar: TRdxBoton;
    eFecha: TLabel;
    imgSombra: TImage;
    FechaFin: TcxDateEdit;
    procedure bAceptarClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    FCodigoObra: Variant;
  public
    Property CodigoObra: Variant read FCodigoObra write FCodigoObra;
  end;

var
  frCerrarObra: TfrCerrarObra;

implementation

uses
  Mensajes, Literales, BaseDatos, Configuracion, Entidades, RdxEmpresaActiva,
  StrFunc, TablaObras;

{$R *.dfm}

procedure TfrCerrarObra.bAceptarClick(Sender: TObject);
var
 Indice :Integer;
begin
  if dmTablaObras.cerrarObra(CodigoObra, FechaFin.Date) then
  begin
    dmBaseDatos.Commit;
    Close;
  end
  else
    dmBaseDatos.Rollback;
end;

procedure TfrCerrarObra.FormShow(Sender: TObject);
begin
  FechaFin.Date := dmBaseDatos.DarFecha;
end;

end.
